math::TNodeVisitor< typename > Class Template Referenceabstract

`#include <visitor.h>`

Inheritance diagram for math::TNodeVisitor< typename >:
[legend]

## Public Member Functions

virtual void | visit (TNumberNode< T > *)=0
virtual void | visit (TSymbolNode< T > *)=0
virtual void | visit (TParamNode< T > *)=0
virtual void | visit (TPlusNode< T > *)=0
virtual void | visit (TNegNode< T > *)=0
virtual void | visit (TMulNode< T > *)=0
virtual void | visit (TDivNode< T > *)=0
virtual void | visit (TPowNode< T > *)=0
virtual void | visit (TSqrtNode< T > *)=0
virtual void | visit (TSinNode< T > *)=0
virtual void | visit (TCosNode< T > *)=0
virtual void | visit (TTanNode< T > *)=0
virtual void | visit (TLnNode< T > *)=0
virtual void | visit (TFuncNode< T > *)=0
virtual void | visit (TIfNode< T > *)=0
virtual void | visit (TEquNode< T > *)=0
virtual void | visit (TUnEquNode< T > *)=0
virtual void | visit (TGreaterNode< T > *)=0
virtual void | visit (TLessNode< T > *)=0
virtual void | visit (TGreaterEquNode< T > *)=0
virtual void | visit (TLessEquNode< T > *)=0

## Detailed Description

### template<typename>
class math::TNodeVisitor< typename >

TNodeVisitor<> is the abstract base class for the expression tree. It is used to extend the tree by additional functionalities such as derivation, simplifying, or what ever you'd like to add.

Definition at line 46 of file nodes.h.

The documentation for this class was generated from the following files:

- nodes.h
- visitor.h